version: '3.1'

services:
  frontend:
    build:
      context: ../../frontend
      dockerfile: Dockerfile.dev
    env_file:
      - ../../frontend/.env.dist.local
      - ../../frontend/.env.dist.composed
      - ../../frontend/.env.override.local
      - ../../frontend/.env.override.composed
    command: npm run start:dev
    environment:
      - DOCKER_BUILDKIT=1
      - BACKEND_URL=http://api:8080
      - VUE_APP_VERSION=${COMMIT_HASH}
    ports:
      - '8081:8081'
    restart: always
    networks:
      - crowd-bridge

  frontend-dev:
    build:
      context: ../../frontend
      dockerfile: Dockerfile.dev
    env_file:
      - ../../frontend/.env.dist.local
      - ../../frontend/.env.dist.composed
      - ../../frontend/.env.override.local
      - ../../frontend/.env.override.composed
    command: npm run start:dev
    environment:
      - DOCKER_BUILDKIT=1
      - BACKEND_URL=http://api:8080
      - VUE_APP_VERSION=${COMMIT_HASH}
    ports:
      - '8081:8081'
    networks:
      - crowd-bridge
    hostname: frontend
    volumes:
      - ../../frontend/src:/usr/crowd/frontend/src
      - ../../frontend/public:/usr/crowd/frontend/public

networks:
  crowd-bridge:
    external: true
